# Introduction

This section contains documentation of decommissioned IT4Innovations' supercomputers and services.

## Salomon

The second supercomputer, built by SGI (now Hewlett Packard Enterprise), was launched in 2015. With a performance of 2 PFlop/s, it was immediately included in the TOP500 list, which ranks the world's most powerful supercomputers. It stayed there until November 2020, falling from the 40th place to 460th.

Salomon was decommissioned after six years - at the end of 2021.

### Interesting Facts

| Salomon's facts              |                    |
| ---------------------------- | ------------------ |
| In operation                 | Q2 2015 - Q4 2021  |
| Theoretical peak performance | 2 PFLOP/s          |
| Number of nodes              | 1,008              |
| HOME storage capacity        | 500 TB             |
| SCRATCH storage capacity     | 1,638 TB           |
| Projects computed            | 1,085              |
| Computing jobs run           | ca. 8,700,000      |
| Corehours used               | ca. 1,014,000,000  |

## Anselm

The first supercomputer, built by Atos, was launched in 2013. For the first 3 years, it was placed in makeshift containers on the campus of VSB – Technical University of Ostrava, and was subsequently moved to the data room of the newly constructed IT4Innovations building. Anselm's computational resources were available to Czech and foreign students and scientists in fields such as material sciences, computational chemistry, biosciences, and engineering.

At the end of January 2021, after more than seven years, its operation permanently ceased. In the future, it will be a part of the [World of Civilization exhibition][a] in Lower Vitkovice.

### Interesting Facts

| Anselm's facts               |                    |
| ---------------------------- | ------------------ |
| Cost                         | 90,000,000 CZK     |
| In operation                 | Q2 2013 - Q1 2021  |
| Theoretical peak performance | 94 TFLOP/s         |
| Number of nodes              | 209                |
| HOME storage capacity        | 320 TB             |
| SCRATCH storage capacity     | 146 TB             |
| Projects computed            | 725                |
| Computing jobs run           | 2,630,567          |
| Corehours used               | 134,130,309        |
| Power consumption            | 77 kW              |

## PRACE

Partnership for Advanced Computing in Europe aims to facilitate the access to a research infrastructure that enables high-impact scientific discovery and engineering research and development across all disciplines to enhance European competitiveness for the benefit of society. For more information, see the [official website][b].

[a]: https://www.dolnivitkovice.cz/en/science-and-technology-centre/exhibitions/
[b]: https://prace-ri.eu/
