# e-INFRA CZ Cloud Ostrava

Ostrava cloud consists of 22 nodes from the [Karolina][a] supercomputer.
The cloud site is built on top of OpenStack,
which is a free open standard cloud computing platform.

## Access

To acces the cloud you must:

* have an [e-Infra CZ account][3],
* be a member of an [active project][b].

The dashboard is available at [https://ostrava.openstack.cloud.e-infra.cz/][6].

You can specify resources/quotas for your project.
For more information, see the [Quota Limits][5] section.

## Creating First Instance

To create your first VM instance, follow the [e-INFRA CZ guide][4].
Note that the guide is similar for clouds in Brno and Ostrava,
so make sure that you follow steps for Ostrava cloud where applicable.

### Process Automatization

You can automate the process using Terraform or Openstack.

#### Terraform

Prerequisites:

* Linux/Mac/WSL terminal BASH shell
* installed Terraform and sshuttle
* downloaded [application credentials][9] from OpenStack Horizon dashboard and saved as a `project_openrc.sh.inc` text file

Follow the guide: [https://code.it4i.cz/terraform][8]

#### OpenStack

Prerequisites:

* Linux/Mac/WSL terminal BASH shell
* installed [OpenStack client][7]

Follow the guide: [https://code.it4i.cz/commandline][10]

Run commands:

```console
source project_openrc.sh.inc
```

```console
./cmdline-demo.sh basic-infrastructure-1
```

## Technical Reference

For the list of deployed OpenStack services, see the [list of components][1].

More information can be found on the [e-INFRA CZ website][2].

[1]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-site/openstack-components/
[2]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-site/
[3]: https://docs.e-infra.cz/account/
[4]: https://docs.e-infra.cz/compute/openstack/getting-started/creating-first-infrastructure/
[5]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-g2-site/quota-limits/
[6]: https://ostrava.openstack.cloud.e-infra.cz/
[7]: https://docs.fuga.cloud/how-to-use-the-openstack-cli-tools-on-linux
[8]: https://code.it4i.cz/dvo0012/infrastructure-by-script/-/tree/main/openstack-infrastructure-as-code-automation/clouds/g2/ostrava/general/terraform
[9]: https://docs.e-infra.cz/compute/openstack/how-to-guides/obtaining-api-key/
[10]: https://code.it4i.cz/dvo0012/infrastructure-by-script/-/tree/main/openstack-infrastructure-as-code-automation/clouds/g2/ostrava/general/commandline

[a]: ../karolina/introduction.md
[b]: ../general/access/project-access.md
