# IT4I Cloud

IT4I cloud consists of 14 nodes from the [Karolina][a] supercomputer.
The cloud site is built on top of OpenStack,
which is a free open standard cloud computing platform.

!!! Note
    The guide describes steps for personal projects.<br>
    Some steps may differ for large projects.<br>
    For large project, apply for resources to the [Allocation Committee][11].

## Access

To access the cloud you must be a member of an active EUROHPC project,
or fall into the **Access Category B**, i.e. [Access For Thematic HPC Resource Utilisation][11].

A personal OpenStack project is required. Request one by contacting [IT4I Support][12].

The dashboard is available at [https://cloud.it4i.cz][6].

You can see quotas set for the IT4I Cloud in the [Quota Limits][f] section.

## Creating First Instance

To create your first VM instance, follow the steps below:

### Log In

Go to [https://cloud.it4i.cz][6], enter your LDAP username and password and choose the `IT4I_LDAP` domain. After you sign in, you will be redirected to the dashboard.

![](../img/login.png)

### Create Key Pair

SSH key is required for remote access to your instance.

1. Go to **Project > Compute > Key Pairs** and click the **Create Key Pair** button.

    ![](../img/keypairs.png)

1. In the Create Key Pair window, name your key pair, select `SSH Key` for key type and confirm by clicking Create Key Pair.

    ![](../img/keypairs1.png)

1. Download and manage the private key according to your operating system.

### Update Security Group

To be able to remotely access your VM instance, you have to allow access in the security group.

1. Go to **Project > Network > Security Groups** and click on **Manage Rules**, for the default security group.

    ![](../img/securityg.png)

1. Click on **Add Rule**, choose **SSH**, and leave the remaining fields unchanged.

    ![](../img/securityg1.png)

### Create VM Instance

1. In **Compute > Instances**, click **Launch Instance**.

    ![](../img/instance.png)

1. Choose Instance Name, Description, and number of instances. Click **Next**.

    ![](../img/instance1.png)

1. Choose an image from which to boot the instance. Choose to delete the volume after instance delete. Click **Next**.

    ![](../img/instance2.png)

1. Choose the hardware resources of the instance by selecting a flavor. Additional volumes for data can be attached later on. Click **Next**.

    ![](../img/instance3.png)

1. Select the network and continue to **Security Groups**.

    ![](../img/instance4.png)

1. Allocate the security group with SSH rule that you added in the [Update Security Group](it4i-cloud.md#update-security-group) step. Then click **Next** to go to the **Key Pair**.

    ![](../img/securityg2.png)

1. Select the key that you created in the [Create Key Pair][g] section and launch the instance.

    ![](../img/instance5.png)

### Associate Floating IP

1. Click on the **Associate** button next to the floating IP.

    ![](../img/floatingip.png)

1. Select Port to be associated with the instance, then click the **Associate** button.

Now you can join the VM using your preferred SSH client.

## Process Automatization

You can automate the process using Openstack.

### OpenStack

Prerequisites:

* Linux/Mac/WSL terminal BASH shell
* installed [OpenStack client][7]

Follow the guide: [https://code.it4i.cz/commandline][10]

Run commands:

```console
source project_openrc.sh.inc
```

```console
./cmdline-demo.sh basic-infrastructure-1
```

[1]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-site/openstack-components/
[2]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-site/
[3]: https://docs.e-infra.cz/account/
[4]: https://docs.e-infra.cz/compute/openstack/getting-started/creating-first-infrastructure/
[5]: https://docs.e-infra.cz/compute/openstack/technical-reference/ostrava-g2-site/quota-limits/
[6]: https://cloud.it4i.cz
[7]: https://docs.fuga.cloud/how-to-use-the-openstack-cli-tools-on-linux
[8]: https://code.it4i.cz/dvo0012/infrastructure-by-script/-/tree/main/openstack-infrastructure-as-code-automation/clouds/g2/ostrava/general/terraform
[9]: https://docs.e-infra.cz/compute/openstack/how-to-guides/obtaining-api-key/
[10]: https://code.it4i.cz/dvo0012/infrastructure-by-script/-/tree/main/openstack-infrastructure-as-code-automation/clouds/g2/ostrava/general/commandline
[11]: https://www.it4i.cz/en/for-users/computing-resources-allocation
[12]: mailto:support@it4i.cz @@

[a]: ../karolina/introduction.md
[b]: ../general/access/project-access.md
[c]: einfracz-cloud.md
[d]: ../general/accessing-the-clusters/vpn-access.md
[e]: ../general/obtaining-login-credentials/obtaining-login-credentials.md
[f]: it4i-quotas.md
[g]: it4i-cloud.md#create-key-pair


