# Using VMware Horizon

VMware Horizon is a virtual desktop infrastructure (VDI) solution
that enables users to access virtual desktops and applications from any device and any location.
It provides a comprehensive end-to-end solution for managing and delivering virtual desktops and applications,
including features such as session management, user authentication, and virtual desktop provisioning.

![](../../img/horizon.png)

## How to Access VMware Horizon

!!! important
    Access to VMware Horizon requires IT4I VPN.

1. Contact [IT4I support][a] with a request for an access and VM allocation.
1. [Download][1] and install the VMware Horizon Client for Windows.
1. Add a new server `https://vdi-cs01.msad.it4i.cz/` in the Horizon client.
1. Connect to the server using your IT4I username and password.
   Username is in the `domain\username` format and the domain is `msad.it4i.cz`.
   For example: `msad.it4i.cz\user123`

## Example

Below is an example of how to mount a remote folder and check the conection on Windows OS:

### Prerequsities

3D applications

* [Blender][3]

SSHFS for remote access

* [sshfs-win][4]
* [winfsp][5]
* [shfs-win-manager][6]
* ssh keys for access to clusters

### Steps

1. Start the VPN and connect to the server via VMware Horizon Client.

    ![](../../img/vmware.png)

1. Mount a remote folder.
    * Run sshfs-win-manager.

    ![](../../img/sshfs.png)

    * Add a new connection.

    ![](../../img/sshfs1.png)

    * Click on **Connect**.

    ![](../../img/sshfs2.png)

1. Check that the folder is mounted.

    ![](../../img/mount.png)

1. Check the GPU resources.

    ![](../../img/gpu.png)

### Blender

Now if you run, for example, Blender, you can check the available GPU resources in Blender Preferences.

  ![](../../img/blender.png)

[a]: mailto:support@it4i.cz

[1]: https://vdi-cs01.msad.it4i.cz/
[2]: https://www.paraview.org/download/
[3]: https://www.blender.org/download/
[4]: https://github.com/winfsp/sshfs-win/releases
[5]: https://github.com/winfsp/winfsp/releases/
[6]: https://github.com/evsar3/sshfs-win-manager/releases
