# Migration to e-INFRA CZ

## Introduction

IT4Innovations is a part of [e-INFRA CZ][1] - strategic research infrastructure of the Czech Republic, which provides capacities and resources for the transmission, storage, and processing of scientific and research data. In January 2022, IT4I has begun the process of integration of its services.

As a part of the process, a joint e-INFRA CZ user base has been established. This included a migration of eligible IT4I accounts.

## Who Has Been Affected

The migration affects all accounts of users affiliated with an academic organizations in the Czech Republic who also have an OPEN-XX-XX project. Affected users have received an email with information about changes in personal data processing.

## Who Has Not Been Affected

Commercial users, training accounts, suppliers, and service accounts were **not** affected by the migration.

## Process

During the process, additional steps have been required for successful migration.

This may have included:

1. e-INFRA CZ registration, if one does not already exist.
2. e-INFRA CZ password reset, if one does not already exist.

## Steps After Migration

After the migration, you must use your **e-INFRA CZ credentials** to access all IT4I services as well as [e-INFRA CZ services][5].

Successfully migrated accounts tied to e-INFRA CZ can be self-managed at [e-INFRA CZ User profile][4].

!!! tip "Recommendation"
    We recommend [verifying your SSH keys][6] for cluster access.

## Troubleshooting

If you have a problem with your account migrated to e-INFRA CZ user base, contact the [CESNET support][7].

If you have questions or a problem with IT4I account (i.e. account not eligible for migration), contact the [IT4I support][2].

[1]: https://www.e-infra.cz/en
[2]: mailto:support@it4i.cz
[3]: https://www.cesnet.cz/?lang=en
[4]: https://profile.e-infra.cz/
[5]: https://www.e-infra.cz/en/services
[6]: https://profile.e-infra.cz/profile/settings/sshKeys
[7]: mailto:support@cesnet.cz
