# Open OnDemand

[Open OnDemand][1] is an intuitive, innovative, and interactive interface to remote computing resources.
It allows users to access our services from any device and web browser,
resulting in faster and more efficient use of supercomputing resources.

For more information, see the Open OnDemand [documentation][2].

## Access Open OnDemand

To access the OOD service, you must be connected to [IT4I VPN][a].
Then go to [https://ood-karolina.it4i.cz/][3] for Karolina
or [https://ood-barbora.it4i.cz/][4] for Barbora and enter your e-INFRA CZ or IT4I credentials.

From the top menu bar, you can manage your files and jobs, access the cluster's shell
and launch interactive apps on login nodes.

## OOD Apps on IT4I Clusters

!!! note
    Barbora OOD offers Mate and XFCE Desktops on login node only. Other applications listed below are exclusive to Karolina OOD.

* Desktops
    * Karolina Login Mate
    * Karolina Login XFCE
    * Gnome Desktop
* GUIs
    * Ansys
    * Blender
    * ParaView
    * TorchStudio
* Servers
    * Code Server
    * Jupyter (+IJulia)
    * MATLAB
    * TensorBoard
* Simulation
    * Code Aster

Depending on a selected application, you can set up various properties;
e.g. partition, number of nodes, tasks per node reservation, etc.

For `qgpu` partitions, you can select the number of GPUs.

![Ansys app in OOD GUI](../../../img/ood-ansys.png)

## Job Composer Tutorial

Under *Jobs > Job Composer*, you can create jobs from several sources.
A simple tutorial will guide you through the process.
To restart the tutorial, click *Help* in the upper right corner.

[1]: https://openondemand.org/
[2]: https://osc.github.io/ood-documentation/latest/
[3]: https://ood-karolina.it4i.cz/
[4]: https://ood-barbora.it4i.cz/

[a]: ../vpn-access.md
