# OpenSSH Keys (UNIX)

## Creating Your Own Key

To generate a new keypair of your public and private key, use the `ssh-keygen` tool:

```console
local $ ssh-keygen -t ed25519 -C username@organization.example.com' -f additional_key
```

!!! note
    Enter a **strong** **passphrase** for securing your private key.

By default, your private key is saved to the `id_rsa` file in the `.ssh` directory
and your public key is saved to the `id_rsa.pub` file.

## Adding SSH Key to Linux System SSH Agent

1. Check if SSH Agent is running:

    ```
    eval "$(ssh-agent -s)"
    ```

1. Add the key to SSH Agent:

    ```
    ssh-add ~/.ssh/name_of_your_ssh_key_file
    ```

1. Verify the key Added to SSH Agent:

    ```
    ssh-add -l
    ```

## Managing Your SSH Key

To manage your SSH key for authentication to clusters, see the [SSH Key Management][1] section.

[1]: ./ssh-key-management.md
