# VPN Access

## Accessing IT4Innovations Internal Resources via VPN

To access IT4Innovations' resources and licenses, it is necessary to connect to its local network via VPN. IT4Innovations uses the FortiClient VPN software. For the list of supported operating systems, see the [FortiClient Administration Guide][a].

## VPN Client Download

* Windows: Download the FortiClient app from the [official page][g] (Microsoft Store app is not recommended).
* Mac: Download the FortiClient VPN app from the [Apple Store][d].
* Linux: Download the [FortiClient][e] or [OpenFortiVPN][f] app.

## Working With Windows/Mac VPN Client

Before the first login, you must configure the VPN. In the New VPN Connection section, provide the name of your VPN connection and the following settings:

Name                | Value
:-------------------|:------------------
VPN                 | SSL-VPN
Remote Gateway      | reconnect.it4i.cz
Port                | 443
Client Certificate  | None

Optionally, you can describe the VPN connection and select Save Login under Authentication.

!!! Note "Realms"
    If you are member of a partner organization, we may ask you to use so called realm in your VPN connection. In the Remote Gateway field, include the realm path after the IP address or hostname. For example, for a realm `excellent`, the field would read as follows `reconnect.it4i.cz:443/excellent`.

![](../../img/fc_vpn_web_login_2_1.png)

Save the settings, enter your login credentials and click Connect.

![](../../img/fc_vpn_web_login_3_1.png)

## Linux Client

Connection will work with following settings:

Name         | Value
:------------|:----------------------
VPN-Server   | reconnect.it4i.cz
VPN-Port     | 443
Set-Routes   | Enabled
Set-DNS      | Enabled
DNS Servers  | 10.5.8.11, 10.5.8.22

Linux VPN clients need to run under root.
OpenFortiGUI uses sudo by default; be sure that your user is allowed to use sudo.

[1]: ../../general/obtaining-login-credentials/obtaining-login-credentials.md#login-credentials
[2]: ../../general/access/einfracz-account.md

[a]: http://docs.fortinet.com/document/forticlient/latest/administration-guide/646779/installation-requirements
[c]: https://github.com/theinvisible/openfortigui
[d]: https://apps.apple.com/cz/app/forticlient-vpn/id1475674905?l=cs
[e]: https://www.fortinet.com/support/product-downloads/linux
[f]: https://github.com/adrienverge/openfortivpn
[g]: https://www.fortinet.com/support/product-downloads#vpn
