---
hide:

- toc

---

# Barbora Partitions

!!! important
    Active [project membership][1] is required to run jobs.

Below is the list of partitions available on the Barbora cluster:

| Partition        | Project resources    | Nodes                      | Min ncpus | Priority | Authorization | Walltime (def/max) |
| ---------------- | -------------------- | -------------------------- | --------- | -------- | ------------- | ------------------ |
| **qcpu**         | > 0                  | 190                        | 36        | 2        | no            | 24 / 48h           |
| **qcpu_biz**     | > 0                  | 190                        | 36        | 3        | no            | 24 / 48h           |
| **qcpu_exp**     | < 150% of allocation | 16                         | 36        | 4        | no            | 1 / 1h             |
| **qcpu_free**    | < 150% of allocation | 124<br>max 4 per job       | 36        | 1        | no            | 12 / 18h           |
| **qcpu_long**    | > 0                  | 60<br>max 20 per job       | 36        | 2        | no            | 72 / 144h          |
| **qcpu_preempt** | active Barbora<br>CPU alloc. | 190<br>max 4 per job       | 36        | 0        | no            | 12 / 12h           |
| **qgpu**         | > 0                  | 8                          | 24        | 2        | yes           | 24 / 48h           |
| **qgpu_biz**     | > 0                  | 8                          | 24        | 3        | yes           | 24 / 48h           |
| **qgpu_exp**     | < 150% of allocation | 4<br>max 1 per job         | 24        | 4        | no            | 1 / 1h             |
| **qgpu_free**    | < 150% of allocation | 5<br>max 2 per job         | 24        | 1        | no            | 12 / 18h           |
| **qgpu_preempt** | active Barbora<br>GPU alloc. | 4<br>max 2 per job         | 24        | 0        | no            | 12 / 12h           |
| **qdgx**         | > 0                  | cn202                      | 96        | 2        | yes           | 4 / 48h            |
| **qviz**         | > 0                  | 2 with NVIDIA Quadro P6000 | 4         | 2        | no            | 1 / 8h             |
| **qfat**         | > 0                  | 1 fat node                 | 128       | 2        | yes           | 24 / 48h           |

[1]: access/project-access.md
