---
hide:

- toc

---

# Karolina Partitions

!!! important
    Active [project membership][1] is required to run jobs.

Below is the list of partitions available on the Karolina cluster:

| Partition        | Project resources    | Nodes                                                     | Min ncpus   | Priority | Authorization | Walltime (def/max) |
| ---------------- | -------------------- | --------------------------------------------------------- | ----------- | -------- | ------------- | ------------------ |
| **qcpu**         | > 0                  | 720                                                       | 128         | 2        | no            | 24 / 48h           |
| **qcpu_biz**     | > 0                  | 720                                                       | 128         | 3        | no            | 24 / 48h           |
| **qcpu_exp**     | < 150% of allocation | 720<br>max 2 per user                                     | 128         | 4        | no            | 1 / 1h             |
| **qcpu_free**    | < 150% of allocation | 720<br>max 4 per job                                      | 128         | 1        | no            | 12 / 18h           |
| **qcpu_long**    | > 0                  | 200<br>max 20 per job, only non-accelerated nodes allowed | 128         | 2        | no            | 72 / 144h          |
| **qcpu_preempt** | active Karolina<br> CPU alloc. | 720<br>max 4 per job                                      | 128         | 0        | no            | 12 / 12h           |
| **qgpu**         | > 0                  | 72<br>max 16 per job                                      | 16<br>1 gpu | 3        | yes           | 24 / 48h           |
| **qgpu_big**     | > 0                  | 72<br>max 64 per job                                      | 128         | 2        | yes           | 12 / 12h           |
| **qgpu_biz**     | > 0                  | 72<br>max 16 per job                                      | 128         | 4        | yes           | 24 / 48h           |
| **qgpu_exp**     | < 150% of allocation | 4<br>max 1 per job                                        | 16<br>1 gpu | 5        | no            | 1 / 1h             |
| **qgpu_free**    | < 150% of allocation | 46<br>max 2 per job                                       | 16<br>1 gpu | 1        | no            | 12 / 18h           |
| **qgpu_preempt** | active Karolina<br> GPU alloc. | 72<br>max 2 per job                                       | 16<br>1 gpu | 0        | no            | 12 / 12h           |
| **qviz**         | > 0                  | 2 with NVIDIA® Quadro RTX™ 6000                           | 8           | 2        | no            | 1 / 8h             |
| **qfat**         | > 0                  | 1 (sdf1)                                                  | 24          | 2        | yes           | 24 / 48h           |

[1]: access/project-access.md
