# Resource Accounting Policy

Starting with the 24<sup>th</sup> open access grant competition,
the accounting policy has been changed from [normalized core hours (NCH)][2a] to **node-hours (NH)**.
This means that it is now required to apply for node hours of the specific cluster and node type:

1. [Barbora CPU][3a]
1. [Barbora GPU][4a]
1. [Barbora FAT][5a]
1. [DGX-2][6a]
1. [Karolina CPU][7a]
1. [Karolina GPU][8a]
1. [Karolina FAT][9a]

The accounting runs whenever the nodes are allocated via the Slurm workload manager (the `sbatch`, `salloc` command),
regardless of whether the nodes are actually used for any calculation.
The same rule applies for unspent [reservations][10a].

## Resource Accounting Formula

| Resources                       | NH Consumed                  |
| ------------------------------- | ---------------------------- |
| Barbora All types, Karolina CPU | allocated nodes \* time      |
| Karolina GPU                    | allocated gpus \* time / 8   |
| Karolina FAT                    | allocated cpus \* time / 768 |
| Karolina VIZ                    | allocated cpus \* time / 64  |

time: duration of the Slurm job in hours

!!! important "CPU/GPU resources granularity"

    Minimal granularity of all Barbora's partitions and Karolina's CPU partition is 1 node.
    This means that if you request, for example, 32 cores on Karolina's CPU partition,
    your job will still consume 1 NH \* time.

    All other Karolina's partitions (GPU, FAT, VIZ) provide partial node allocation;
    i.e.: if you request 4 GPUs on Karolina, you will consume only 0.5 NH \* time.

[1a]: job-submission-and-execution.md
[2a]: #normalized-core-hours-nch
[3a]: ../../barbora/compute-nodes/#compute-nodes-without-accelerators
[4a]: ../../barbora/compute-nodes/#compute-nodes-with-a-gpu-accelerator
[5a]: ../../barbora/compute-nodes/#fat-compute-node
[6a]: ../../dgx2/introduction/
[7a]: ../../karolina/compute-nodes/#compute-nodes-without-accelerators
[8a]: ../../karolina/compute-nodes/#compute-nodes-with-a-gpu-accelerator
[9a]: ../../karolina/compute-nodes/#data-analytics-compute-node
[10a]: resource_allocation_and_job_execution.md#resource-reservation
