# How to Run Jobs

## Job Submission and Execution

To run a [job][1], computational resources for this particular job must be allocated. This is done via the [Slurm][a] job workload manager software, which distributes workloads across the supercomputer.

The `sbatch` or `salloc` command creates a request to the Slurm job manager for allocation of specified resources.
The resources will be allocated when available, subject to allocation policies and constraints.
**After the resources are allocated, the jobscript or interactive shell is executed on first of the allocated nodes.**

Read more on the [Job Submission and Execution][5] page.

## Resource Allocation Policy

Resources are allocated to the job in a fair-share fashion, subject to constraints set by the queue and resources available to the Project. [The Fair-share][3] ensures that individual users may consume approximately equal amount of resources per week. The resources are accessible via queues for queueing the jobs. The queues provide prioritized and exclusive access to the computational resources.

!!! note
    See the queue status for [Karolina][d] or [Barbora][e].

Read more on the [Resource Allocation Policy][4] page.

## Resource Reservation

You can request a reservation of a specific number, range, or type of computational resources at [support@it4i.cz][c].
Note that unspent reserved node-hours count towards the total computational resources used.

[1]: ../index.md#terminology-frequently-used-on-these-pages
[2]: https://slurm.schedmd.com/documentation.html
[3]: job-priority.md#fair-share-priority
[4]: resources-allocation-policy.md
[5]: job-submission-and-execution.md

[a]: https://slurm.schedmd.com/
[b]: https://slurm.schedmd.com/documentation.html
[c]: mailto:support@it4i.cz
[d]: https://extranet.it4i.cz/rsweb/karolina/queues
[e]: https://extranet.it4i.cz/rsweb/barbora/queues
