# About LUMI

The European High-Performance Computing Joint Undertaking (EuroHPC JU) is pooling European resources
to develop top-of-the-range exascale supercomputers for processing big data,
based on competitive European technology.

One of the pan-European pre-exascale supercomputers, [LUMI][1], is located in CSC’s data center in Kajaani, Finland.

The supercomputer is hosted by the Large Unified Modern Infrastructure consortium.
The LUMI consortium countries are Finland, Belgium, the Czech Republic,
Denmark, Estonia, Iceland, Norway, Poland, Sweden, and Switzerland.

LUMI is one of the world’s best-known scientific instruments for the lifespan of 2021–2027.

## LUMI AI

LUMI can assist users in migrating their machine learning applications from smaller-scale computing environments to LUMI.
For more information, see the [LUMI AI][c] subsection.

## LUMI Software

For the list of software modules installed on LUMI,
as well as direct links to documentation for some of the most used modules,
see the [LUMI Software][a] subsection.

## LUMI Support

LUMI offers general support, Czech national support, events, and training.
For more information, see the [LUMI Support][b] subsection.

## Technical Reference

For more information about how to access the LUMI supercomputer,
see the [official documentation][2].

[1]: https://lumi-supercomputer.eu/
[2]: https://docs.lumi-supercomputer.eu/

[a]: software.md
[b]: support.md
[c]: lumiai.md