# LUMI Software

Below are links to LUMI guides for selected [LUMI Software modules][1]:

## PyTorch

[PyTorch][8] is an optimized tensor library for deep learning using GPUs and CPUs.

### Comprehensive Guide on PyTorch

See the [PyTorch][a] subsection for guides on how to install PyTorch and run interactive jobs.

### How to Run PyTorch on Lumi-G AMD GPU Accelerators

Link to LUMI guide on how to run PyTorch on LUMI GPUs:

[https://docs.lumi-supercomputer.eu/software/packages/pytorch/][2]

## How to Run Gromacs on Lumi-G AMD GPU Accelerators

Gromacs is a very efficient engine to perform molecular dynamics simulations
and energy minimizations particularly for proteins.
However, it can also be used to model polymers, membranes and e.g. coarse grained systems.
It also comes with plenty of analysis scripts.

[https://docs.csc.fi/apps/gromacs/#example-batch-script-for-lumi-full-gpu-node][3]

## AMD Infinity Hub

The AMD Infinity Hub contains a collection of advanced software containers and deployment guides for HPC and AI applications,
including code built recipes for code customization.

[https://www.amd.com/fr/developer/resources/infinity-hub.html][4]

## GPU-Accelerated Applications With AMD INSTINCT™ Accelerators Enabled by AMD ROCm™

The AMD Infinity Hub contains a collection of advanced software containers
and deployment guides for HPC and AI applications,
enabling researchers, scientists, and engineers to speed up their time to science.

[https://www.amd.com/system/files/documents/gpu-accelerated-applications-catalog.pdf][5]

## CSC Installed Software

The link below contains a list of codes enabled by CSC
and available for all, including PyTorch, TensorFlow, JAX, GROMACS, and others.

[https://docs.lumi-supercomputer.eu/software/local/csc/][6]

## Installation of SW via Conda

Conda is an open-source, cross-platform,language-agnostic package manager and environment management system.

[https://docs.lumi-supercomputer.eu/software/installing/container-wrapper/][7]

[1]: https://lumi-supercomputer.github.io/LUMI-EasyBuild-docs/
[2]: https://docs.lumi-supercomputer.eu/software/packages/pytorch/
[3]: https://docs.csc.fi/apps/gromacs/#example-batch-script-for-lumi-full-gpu-node
[4]: https://www.amd.com/fr/developer/resources/infinity-hub.html
[5]: https://www.amd.com/system/files/documents/gpu-accelerated-applications-catalog.pdf
[6]: https://docs.lumi-supercomputer.eu/software/local/csc/
[7]: https://docs.lumi-supercomputer.eu/software/installing/container-wrapper/
[8]: https://pytorch.org/docs/stable/index.html

[a]: pytorch.md
