# EESSI

EESSI stands for the European Environment for Scientific Software Installations - a collaboration between different European partners in HPC community.

The goal of this project is to build a common stack of scientific software installations for HPC systems and beyond, including laptops, personal workstations, and cloud infrastructure.

For more information, see the [official EESSI documentation][1].

## EESSI on IT4I

The EESSI project is available on login, cn, and acn nodes on both Barbora and Karolina.

To use the EESSI software installations, load the environment using the command:

```console
source /cvmfs/software.eessi.io/versions/2023.06/init/bash
```

You can then use the `ml av` command to see the list of all EESSI and IT4I modules. EESSI modules will be listed first:

```console
{EESSI 2023.06} $ ml av

---- /cvmfs/software.eessi.io/versions/2023.06/software/linux/x86_64/intel/skylake_avx512/modules/all ----
   Abseil/20230125.2-GCCcore-12.2.0
   Abseil/20230125.3-GCCcore-12.3.0                 (D)
   ALL/0.9.2-foss-2023a
   AOFlagger/3.4.0-foss-2023b
   archspec/0.2.1-GCCcore-12.3.0
   Armadillo/11.4.3-foss-2022b
   Armadillo/12.6.2-foss-2023a
   Armadillo/12.8.0-foss-2023b                      (D)
   arpack-ng/3.8.0-foss-2022b
   arpack-ng/3.9.0-foss-2023a
   arpack-ng/3.9.0-foss-2023b                       (D)
   arrow-R/11.0.0.3-foss-2022b-R-4.2.2
   arrow-R/14.0.1-foss-2023a-R-4.3.2                (D)
   Arrow/11.0.0-gfbf-2022b
   Arrow/14.0.1-gfbf-2023a                          (D)
   ASE/3.22.1-gfbf-2022b
   at-spi2-atk/2.38.0-GCCcore-12.2.0
   at-spi2-atk/2.38.0-GCCcore-12.3.0                (D)
   at-spi2-core/2.46.0-GCCcore-12.2.0
   at-spi2-core/2.49.91-GCCcore-12.3.0              (D)
lines 1-22
```

## Exiting EESSI Environment

To exit EESSI environment, you must log out of the supercomputer.

## Bugs & Issues

You can see the list of issues and report bugs on the [project's issue GitHub page][2].

[1]: https://www.eessi.io/docs/overview/
[2]: https://github.com/EESSI/software-layer/issues
