# ISV Licenses

## Guide to Managing Independent Software Vendor Licenses

On IT4I clusters, there are also installed commercial software applications, also known as ISV (Independent Software Vendor), which are subjects to licensing. Licenses are limited and their usage may be restricted only to some users or user groups, or based on other conditions.

Currently, [Flex License Manager][c] based licensing is supported on the cluster for products ANSYS, Comsol, and MATLAB. More information about the applications can be found in the general software section.

If an ISV application was purchased for educational (research) purposes and also for commercial purposes, then there are always two separate versions maintained and suffix "edu" is used in the name of the non-commercial version.

## Overview of the Licenses Usage

!!! note
    The overview is generated every minute and is accessible from the web or command line interface.

### Web Interface

For each license, there is a [table][a] providing the information about the name, number of available (purchased/licensed), number of used and number of free license features.

### Command Line

To check license usage via command line, use the `LicenseChecker` module with the `lmstat` utility:

```console
ml LicenseChecker/1.0
```

For example, to check usage of Ansys licenses, use:

```console
lmstat -a -c 1055@license.it4i.cz
```

or for a specific module (e.g. HPC):

```console
lmstat -f aa_r_hpc -c 1055@license.it4i.cz
```

To list all Ansys modules, use:

```console
lmstat -i -c 1055@license.it4i.cz
```

For other applications' licenses, change the port number in the command according to the **Port** column on the [licelin website][b] (requires IT4I VPN).

[1]: #Licence

[a]: https://extranet.it4i.cz/rsweb/karolina/licenses
[b]: http://licelin.it4i.cz/list/
[c]: https://www.revenera.com/software-monetization/products/software-licensing/flexnet-licensing
