# Numerical Languages

Interpreted languages for numerical computations and analysis

## Introduction

This section contains a collection of high-level interpreted languages, primarily intended for numerical computations.

## MATLAB

MATLAB® is a high-level language and interactive environment for numerical computation, visualization, and programming.

```console
$ ml av MATLAB
-------------- /apps/modules/math --------------
   MATLAB/2021a
$ ml MATLAB/2021a
$ matlab
```

Read more at the [MATLAB page][1].

## Octave

GNU Octave is a high-level interpreted language, primarily intended for numerical computations. The Octave language is quite similar to MATLAB so that most programs are easily portable.

```console
$ ml av Octave
-------------- /apps/modules/math --------------
Octave/6.3.0-intel-2020b-without-X11
$ ml Octave/6.3.0-intel-2020b-without-X11
$ octave
```

Read more at the [Octave page][2].

## R

The R is an interpreted language and environment for statistical computing and graphics.

```console
$ ml av R/
-------------- /apps/modules/math --------------

$ ml R
$ R
```

Read more at the [R page][3].

[1]: matlab.md
[2]: octave.md
[3]: r.md
