# AWS CLI

You can use the AWS command line tools to issue commands or build scripts at your system's command line to perform AWS (including S3) tasks.
The AWS Command Line Interface (AWS CLI) provides commands for a broad set of AWS services. To get started, see the AWS Command Line Interface User Guide.

For more information, see the official site [https://docs.aws.amazon.com/AmazonS3/latest/userguide/Welcome.html#BasicsBucket][a].

## How to Load Modules:

To see loaded modules, use:

```
ml
```

To load modules, use:

```
ml awscli
```

To see module info, use:

```
ml spider AWS
```

For more information on how to work with modules, see
[https://docs.it4i.cz/software/modules/lmod/][1].

## Configuration

For configuration steps, follow the [e-INFRA CZ guide][b].

For the list of basic AWS CLI commands, see [https://docs.e-infra.cz/storage/object-storage/aws-cli/#controls-of-aws-cli---high-level-s3][e].

## Useful Links

* [Getting started][c]
* [Troubleshoot AWS CLI errors][f]
* [Configuration erros][d]

[1]: https://docs.it4i.cz/software/modules/lmod/

[a]: https://docs.aws.amazon.com/AmazonS3/latest/userguide/Welcome.html#BasicsBucket
[b]: https://docs.e-infra.cz/storage/object-storage/aws-cli/
[c]: https://docs.aws.amazon.com/cli/latest/userguide/getting-started-install.html
[d]: https://docs.aws.amazon.com/AmazonS3/latest/API/ErrorResponses.html
[e]: https://docs.e-infra.cz/storage/object-storage/aws-cli/#controls-of-aws-cli---high-level-s3
[f]: https://docs.aws.amazon.com/cli/latest/userguide/cli-chap-troubleshooting.html
