# CESNET S3 Storage

S3 service is a general service suited for most of the use cases. S3 service can be used for elementary data storing, automated backups, or various types of data handling applications. The service is supported by CESNET Storage Department: [du-support(at)cesnet.cz][email]

For more information, see [e-IINFRA CZ S3 Service documentation][a].

## Access:

To access to S3 you must:

* have an [e-Infra CZ account][3]
* be a [member of an active project][4]

### Steps

1. Fil in application at [https://einfra.cesnet.cz/allfed/registrar/?vo=VO_s3&group=s3_cl4&locale=en][b] to be a member of VO group. For more information about the S3 object storage, see [https://du.cesnet.cz/en/navody/object_storage/osobni_s3/start][f].

2. Once the application is approved you will be informed via email. Then please wait at least 30 minutes for our system to synchronize all data. Then you can continue to the Gatekeeper service to generate your credentials. To the [Gatekeeper service][g], you need to login via eduID.cz identity.

IT4I offers two tools for object storage management on Karolina and Barbora:

!!! Note
    We recommend using the default versions installed.

* [S3cmd][1]
* [AWS CLI][2]

## Walkthroughs (Config Connection)

* [https://du.cesnet.cz/en/navody/object_storage/cesnet_s3/start][c]
* [https://www.s3express.com/kb/item26.htm][d]

[1]: s3cmd.md
[2]: awscli.md
[3]: https://docs.e-infra.cz/account/
[4]: https://docs.it4i.cz/general/access/project-access/

[a]: https://docs.e-infra.cz/storage/object-storage/s3-service/
[b]: https://einfra.cesnet.cz/allfed/registrar/?vo=VO_s3&group=s3_cl4&locale=en
[c]: https://du.cesnet.cz/cs/navody/object_storage/cesnet_s3/start
[d]: https://www.s3express.com/kb/item26.htm
[e]: https://filesender.cesnet.cz/
[f]: https://du.cesnet.cz/en/navody/object_storage/osobni_s3/start
[g]: https://access.du.cesnet.cz/#/access

[email]: mailto:du-support@cesnet.cz
